Bug 1005445 - [abrt] remmina-1.0.0-7.fc19: gdi_patblt: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: gdi_patblt: Process /usr/bin/remmina was killed ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:cb41c148e8dd079794ae23759c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 21:46 EDT by tonyp
Modified: 2014-08-18 04:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.44 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: core_backtrace (1.89 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: dso_list (13.65 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: environ (1.16 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: maps (69.68 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: open_fds (2.53 KB, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details
File: var_log_messages (489 bytes, text/plain)
2013-09-06 21:46 EDT, tonyp
no flags Details

  None (edit)
Description tonyp 2013-09-06 21:46:20 EDT
Description of problem:
tried to connect to an XRDP server session on linux.

Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        remmina
crash_function: gdi_patblt
executable:     /usr/bin/remmina
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdi_patblt at /usr/src/debug/freerdp-1.0.2/libfreerdp-gdi/gdi.c:475
 #1 update_gdi_patblt at /usr/src/debug/freerdp-1.0.2/libfreerdp-cache/brush.c:41
 #2 update_recv_primary_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:1826
 #3 update_recv_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:2018
 #4 update_recv_orders at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/update.c:45
 #5 update_recv at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/update.c:271
 #6 rdp_recv_data_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:492
 #7 rdp_recv_tpkt_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:722
 #8 rdp_recv_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:768
 #9 rdp_recv_callback at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:830
Comment 1 tonyp 2013-09-06 21:46:23 EDT
Created attachment 795035 [details]
File: backtrace
Comment 2 tonyp 2013-09-06 21:46:25 EDT
Created attachment 795036 [details]
File: cgroup
Comment 3 tonyp 2013-09-06 21:46:27 EDT
Created attachment 795037 [details]
File: core_backtrace
Comment 4 tonyp 2013-09-06 21:46:30 EDT
Created attachment 795038 [details]
File: dso_list
Comment 5 tonyp 2013-09-06 21:46:32 EDT
Created attachment 795039 [details]
File: environ
Comment 6 tonyp 2013-09-06 21:46:34 EDT
Created attachment 795040 [details]
File: limits
Comment 7 tonyp 2013-09-06 21:46:36 EDT
Created attachment 795041 [details]
File: maps
Comment 8 tonyp 2013-09-06 21:46:39 EDT
Created attachment 795042 [details]
File: open_fds
Comment 9 tonyp 2013-09-06 21:46:41 EDT
Created attachment 795043 [details]
File: proc_pid_status
Comment 10 tonyp 2013-09-06 21:46:43 EDT
Created attachment 795044 [details]
File: var_log_messages
Comment 11 Christoph Wickert 2014-05-22 07:35:10 EDT
Assigning bug to new package maintainer.
Comment 12 Pavel Alexeev 2014-08-18 04:26:45 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.